package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class DrpMenuMaterialSupplierQueryDTO {
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("货品ID或者类别ID")
   private List<Long> materialCategoryIdList;
   private List<Long> categoryIdList;
   @ApiModelProperty("查询类型 1货品 2类别")
   private Integer type;

   public Long getCanteenId() {
      return this.canteenId;
   }

   public List<Long> getMaterialCategoryIdList() {
      return this.materialCategoryIdList;
   }

   public List<Long> getCategoryIdList() {
      return this.categoryIdList;
   }

   public Integer getType() {
      return this.type;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setMaterialCategoryIdList(final List<Long> materialCategoryIdList) {
      this.materialCategoryIdList = materialCategoryIdList;
   }

   public void setCategoryIdList(final List<Long> categoryIdList) {
      this.categoryIdList = categoryIdList;
   }

   public void setType(final Integer type) {
      this.type = type;
   }

   protected boolean canEqual(final Object other) {
      return other instanceof DrpMenuMaterialSupplierQueryDTO;
   }

   public String toString() {
      Long var10000 = this.getCanteenId();
      return "DrpMenuMaterialSupplierQueryDTO(canteenId=" + var10000 + ", materialCategoryIdList=" + String.valueOf(this.getMaterialCategoryIdList()) + ", categoryIdList=" + String.valueOf(this.getCategoryIdList()) + ", type=" + this.getType() + ")";
   }
}
